OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.APPLE.VertexProgramEvaluators

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAPPLEVertexProgramEvaluators :: MonadIO m => m Bool
- gl_APPLE_vertex_program_evaluators :: Bool
- pattern GL_VERTEX_ATTRIB_MAP1_APPLE :: GLenum
- pattern GL_VERTEX_ATTRIB_MAP1_COEFF_APPLE :: GLenum
- pattern GL_VERTEX_ATTRIB_MAP1_DOMAIN_APPLE :: GLenum
- pattern GL_VERTEX_ATTRIB_MAP1_ORDER_APPLE :: GLenum
- pattern GL_VERTEX_ATTRIB_MAP1_SIZE_APPLE :: GLenum
- pattern GL_VERTEX_ATTRIB_MAP2_APPLE :: GLenum
- pattern GL_VERTEX_ATTRIB_MAP2_COEFF_APPLE :: GLenum
- pattern GL_VERTEX_ATTRIB_MAP2_DOMAIN_APPLE :: GLenum
- pattern GL_VERTEX_ATTRIB_MAP2_ORDER_APPLE :: GLenum
- pattern GL_VERTEX_ATTRIB_MAP2_SIZE_APPLE :: GLenum
- glDisableVertexAttribAPPLE :: MonadIO m => GLuint -> GLenum -> m ()
- glEnableVertexAttribAPPLE :: MonadIO m => GLuint -> GLenum -> m ()
- glIsVertexAttribEnabledAPPLE :: MonadIO m => GLuint -> GLenum -> m GLboolean
- glMapVertexAttrib1dAPPLE :: MonadIO m => GLuint -> GLuint -> GLdouble -> GLdouble -> GLint -> GLint -> Ptr GLdouble -> m ()
- glMapVertexAttrib1fAPPLE :: MonadIO m => GLuint -> GLuint -> GLfloat -> GLfloat -> GLint -> GLint -> Ptr GLfloat -> m ()
- glMapVertexAttrib2dAPPLE :: MonadIO m => GLuint -> GLuint -> GLdouble -> GLdouble -> GLint -> GLint -> GLdouble -> GLdouble -> GLint -> GLint -> Ptr GLdouble -> m ()
- glMapVertexAttrib2fAPPLE :: MonadIO m => GLuint -> GLuint -> GLfloat -> GLfloat -> GLint -> GLint -> GLfloat -> GLfloat -> GLint -> GLint -> Ptr GLfloat -> m ()

# Extension Support

glGetAPPLEVertexProgramEvaluators :: MonadIO m => m Bool Source #

Is the APPLE_vertex_program_evaluators extension supported?

gl_APPLE_vertex_program_evaluators :: Bool Source #

Is the APPLE_vertex_program_evaluators extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAPPLEVertexProgramEvaluators` in those cases instead.

# Enums

pattern GL_VERTEX_ATTRIB_MAP1_APPLE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_MAP1_COEFF_APPLE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_MAP1_DOMAIN_APPLE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_MAP1_ORDER_APPLE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_MAP1_SIZE_APPLE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_MAP2_APPLE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_MAP2_COEFF_APPLE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_MAP2_DOMAIN_APPLE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_MAP2_ORDER_APPLE :: GLenum Source #

pattern GL_VERTEX_ATTRIB_MAP2_SIZE_APPLE :: GLenum Source #

# Functions

glDisableVertexAttribAPPLE Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname`.
-> m () |

glEnableVertexAttribAPPLE Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname`.
-> m () |

glIsVertexAttribEnabledAPPLE Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `pname`.
-> m GLboolean | of type Boolean.

glMapVertexAttrib1dAPPLE Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `size`.
-> GLdouble | `u1` of type `CoordD`.
-> GLdouble | `u2` of type `CoordD`.
-> GLint | `stride`.
-> GLint | `order` of type `CheckedInt32`.
-> Ptr GLdouble | `points` pointing to `COMPSIZE(size,stride,order)` elements of type `CoordD`.
-> m () |

glMapVertexAttrib1fAPPLE Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `size`.
-> GLfloat | `u1` of type `CoordF`.
-> GLfloat | `u2` of type `CoordF`.
-> GLint | `stride`.
-> GLint | `order` of type `CheckedInt32`.
-> Ptr GLfloat | `points` pointing to `COMPSIZE(size,stride,order)` elements of type `CoordF`.
-> m () |

glMapVertexAttrib2dAPPLE Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `size`.
-> GLdouble | `u1` of type `CoordD`.
-> GLdouble | `u2` of type `CoordD`.
-> GLint | `ustride`.
-> GLint | `uorder` of type `CheckedInt32`.
-> GLdouble | `v1` of type `CoordD`.
-> GLdouble | `v2` of type `CoordD`.
-> GLint | `vstride`.
-> GLint | `vorder` of type `CheckedInt32`.
-> Ptr GLdouble | `points` pointing to `COMPSIZE(size,ustride,uorder,vstride,vorder)` elements of type `CoordD`.
-> m () |

glMapVertexAttrib2fAPPLE Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLuint | `size`.
-> GLfloat | `u1` of type `CoordF`.
-> GLfloat | `u2` of type `CoordF`.
-> GLint | `ustride`.
-> GLint | `uorder` of type `CheckedInt32`.
-> GLfloat | `v1` of type `CoordF`.
-> GLfloat | `v2` of type `CoordF`.
-> GLint | `vstride`.
-> GLint | `vorder` of type `CheckedInt32`.
-> Ptr GLfloat | `points` pointing to `COMPSIZE(size,ustride,uorder,vstride,vorder)` elements of type `CoordF`.
-> m () |